package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

public class ItemDisminucionCostoActivoFijoDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String codigoSAP;
	private String subNumero;
	private String disminucion;
	private String fechaInicio;
	private String fechaContabilizacion;
        private String idTituloCnt;
	
	public String getCodigoSAP() {
		return codigoSAP;
	}

	public void setCodigoSAP(String codigoSAP) {
		this.codigoSAP = codigoSAP;
	}

	public String getSubNumero() {
		return subNumero;
	}

	public void setSubNumero(String subNumero) {
		this.subNumero = subNumero;
	}

	public String getDisminucion() {
		return disminucion;
	}

	public void setDisminucion(String disminucion) {
		this.disminucion = disminucion;
	}

	public String getFechaInicio() {
		return fechaInicio;
	}

	public void setFechaInicio(String fechaInicio) {
		this.fechaInicio = fechaInicio;
	}

	public String getFechaContabilizacion() {
		return fechaContabilizacion;
	}

	public void setFechaContabilizacion(String fechaContabilizacion) {
		this.fechaContabilizacion = fechaContabilizacion;
	}

        public String getIdTituloCnt() {
            return idTituloCnt;
        }

        public void setIdTituloCnt(String idTituloCnt) {
            this.idTituloCnt = idTituloCnt;
        }

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" codigoSAP: _" + this.getCodigoSAP() + "_" + NEW_LINE);
		result.append(" subNumero: _" + this.getSubNumero() + "_" + NEW_LINE);
		result.append(" disminucion: _" + this.getDisminucion() + "_" + NEW_LINE);
		result.append(" fechaInicio: _" + this.getFechaInicio() + "_" + NEW_LINE);
		result.append(" fechaContabilizacion: _" + this.getFechaContabilizacion() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}
